<!DOCTYPE html>
<html lang="fr">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">

    <script src="/src/index.ts" type="module"></script>
    <link rel="stylesheet" href="/public/css/index.css">
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.2.3/dist/css/bootstrap.min.css" rel="stylesheet"
        integrity="sha384-rbsA2VBKQhggwzxH7pPCaAqO46MgnOM80zW1RWuH61DGLwZJEdK2Kadq2F9CUG65" crossorigin="anonymous">
    <title>Quiz Monster hunter</title>
</head>

<body>

    
    <!-- Info Box + button start -->
    <div class="info_box">
        <div class="box_title">
            <div class="title">Quiz Monster Hunter</div>
        </div>
        <div class="box-rule">
            <div class="info p-1">Vous avez 15 secondes pour répondre.</div>
            <div class="info p-1">Vous ne pouvez valider qu'une seule réponse</div>
            <div class="info p-1">Plus vous répondez vite, plus vous aurez de points</div>
            <div class="info p-1">Si le timer tombe à zéro, vous ne pouvez plus répondre</div>
        </div>
        <div class="text-center p-3">
            <button class="start button_style">Start</button>
        </div>
    </div>


    <!-- Quiz Box -->
    <div class="quiz_box">
        <header>
            <div class="clock">
                <div class="timer score_time"></div>
            </div>
            <div class="time_line"></div>
            <div class="score score_time">0</div>
        </header>
        <section class="row">
            <div class="question_box">
                <div class="question_text">question ?</div>
                <div><img class="question_img hidden" src="https://www.dalailama.com/assets/pages/social-image.png" alt="image du quizz" ></div>
            </div>
            <div class="option_list">
                <div class="answer">
                    <div id="option0">réponse 2</div>
                    <div id="option1">réponse 3</div>
                </div>
                <div class="answer">
                    <div id="option2">réponse 1</div>
                    <div id="option3">réponse 4</div>
                </div>
            </div>

        </section>
        <!-- footer of Quiz Box -->
        <footer>
            <button class="next_btn button_style">Prochaine question</button>
            <button class="result_button button_style hidden" disabled="true">Finir le quizz</button>
        </footer>
    </div>


    <!-- Result Box -->
    <div class="result_box">
        <div class="final_text"></div>
        <div class="score_text"></div>
        <img class="resultImg" src='https://media.tenor.com/XSx2mNmENAoAAAAC/monster-hunter.gif' alt="gif du résultat">
        <div class="buttons"> <button class="restart button_style">Refaire le Quiz</button>
            <button class="quit button_style">Quitter le Quiz</button>
        </div>
    </div>

</body>

</html>